- job:
    name: openjdk8-hadoop-LCA14
    project-type: freestyle
    defaults: global
    description: |
        * This job assembles the hadoop demo that was put together for LCA14.<br>
        * This job should (eventually) go away and we should build hadoop from source.
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            openjdk-members:
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 10
            artifact-num-to-keep: 5
    disabled: true
    node: build
    display-name: 'DELETE ME'
    scm:
        - git:
            url: https://git.linaro.org/leg/openjdk/openjdk8-hadoop-LCA14.git
            refspec: +refs/heads/master:refs/remotes/origin/master
            name: origin
            branches:
                - refs/heads/master
            basedir: openjdk8-hadoop-LCA14
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
    wrappers:
        - timestamps
    builders:
        - shell: |
            #!/bin/bash

            rm -rf out
            mkdir out
            tar -cvf out/openjdk8-hadoop-LCA14.tar.gz --exclude=x86_64 openjdk8-hadoop-LCA14
    publishers:
        - archive:
            artifacts: 'out/*.tar.gz'
